/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.gebietsbaum.entity;

public interface StrasseneintragBase extends 
de.ivu.elect.jee.entity.Entity<StrasseneintragPK, StrasseneintragUK>
{

  
  /**
   * getter for primary key wrapper STRASSENEINTRAG.strasseneintrag_id
   *
   * @return
   */
  @Override
  StrasseneintragPK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for STRASSENEINTRAG.HAUSNUMMERNBEREICH
   *
   */
  java.lang.String getHausnummernbereich();

  /**
   * 
   *
   * setter for STRASSENEINTRAG.HAUSNUMMERNBEREICH
   *
   * @param hausnummernbereich
   */
  void setHausnummernbereich(java.lang.String hausnummernbereich);
      

  /**
   * 
   *
   * getter for STRASSENEINTRAG.POSTLEITZAHL
   *
   */
  java.lang.String getPostleitzahl();

  /**
   * 
   *
   * setter for STRASSENEINTRAG.POSTLEITZAHL
   *
   * @param postleitzahl
   */
  void setPostleitzahl(java.lang.String postleitzahl);
      

  /**
   * 
   *
   * getter for STRASSENEINTRAG.STRASSENNAME
   *
   */
  java.lang.String getStrassenname();

  /**
   * 
   *
   * setter for STRASSENEINTRAG.STRASSENNAME
   *
   * @param strassenname
   */
  void setStrassenname(java.lang.String strassenname);
  
/**
 * Beziehungen N:1 unidirektional
 */

  /**
   * 
   */
  void setGebiet(de.ivu.elect.business.gebietsbaum.entity.Gebiet gebiet);

  /**
   * 
   */
  de.ivu.elect.business.gebietsbaum.entity.Gebiet getGebiet();



  /**
   * 
   */
  void setWahltermin(de.ivu.elect.business.wahl.entity.Wahltermin wahltermin);

  /**
   * 
   */
  de.ivu.elect.business.wahl.entity.Wahltermin getWahltermin();



  /**
   * 
   */
  void setWahl(de.ivu.elect.business.wahl.entity.Wahl wahl);

  /**
   * 
   */
  de.ivu.elect.business.wahl.entity.Wahl getWahl();



/**
 * Beziehungen N:1 bidirektional
 */


/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
